**Purpose**:
You may need to install the QEMU guest agent on linux VMs manually, while Windows-based devices work out-of-the-box after installing the VirtIO guest tools installer.

=== "Ubuntu Server"

    ```sh
    sudo su
    apt update 
    apt install -y qemu-guest-agent
    systemctl enable --now qemu-guest-agent
    ```

=== "Rocky Linux"

    ```sh
    sudo su
    dnf install -y qemu-guest-agent
    systemctl enable --now qemu-guest-agent
    ```